This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/fs by this push:
new 1ce0136 Add check that HEAD maps to something meaningful upstream
1ce0136 is described below
commit 1ce01368a8a9f46dcd9bbc8bb60cd5a52b4ff4fe
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 13:41:54 2015 +0200
Add check that HEAD maps to something meaningful upstream
Change-Id: I2b82e9698e2e0fbc06990ca1d7608ecd3b0e93da
---
config/bench/fs/makefs.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 7548eee..58ba109 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -3,6 +3,16 @@ set -e
set -u
set -o pipefail
+#Check that we are in a clean state w.r.t. source control
+#Required to guarantee that the hash is valid
+if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
+ echo "Committed state out of sync with upstream" >&2
+ exit 1
+elif test x"`git status -sb --porcelain | sed 1d`" != x; then
+ echo "Repository has local changes" >&2
+ exit 1
+fi
+
#All of these variables MUST be defined and non-empty
export stamp=20150607T041354Z
export suite=jessie
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards 8178823 wip: filesystem script
discards 77d6a26 Clean up error handling
adds 8e53134 Clean up error handling
new eda99c2 wip: filesystem script
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (8178823)
\
N -- N -- N refs/heads/bernie/fs (eda99c2)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/fs/makefs.sh | 12 ++++++------
scripts/benchmark.sh | 1 +
2 files changed, 7 insertions(+), 6 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit 8e5313452e2fcbf9fc07a8af52913af3edd57908
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 11:44:01 2015 +0200
Clean up error handling
Conservatively default value of error to 1, at beginning of each
script. Always set error when desiring to exit with a specific
error code.
Change-Id: I5710c828705bba2d2111fb73c5d3f01e2b815d11
---
scripts/benchmark.sh | 42 ++++++++++++++++++++++++++++--------------
scripts/runbenchmark.sh | 39 +++++++++++++++++++++++++--------------
2 files changed, 53 insertions(+), 28 deletions(-)
diff --git a/scripts/benchmark.sh b/scripts/benchmark.sh
index b81b189..0585021 100755
--- a/scripts/benchmark.sh
+++ b/scripts/benchmark.sh
@@ -13,7 +13,7 @@ set -o nounset
trap clean_top EXIT
trap 'error=1; exit' TERM INT HUP QUIT
-error=0
+error=1
declare -A runpids
clean_top()
@@ -63,7 +63,8 @@ if test -e "${PWD}/host.conf"; then
. "${PWD}/host.conf"
else
echo "ERROR: no host.conf file! Did you run configure?" 1>&2
- exit 1
+ error=1
+ exit
fi
topdir="${abe_path}" #abe global, but this should be the right value for abe
@@ -73,7 +74,8 @@ if test "$((`umask` & 077))" -ne 63; then
echo "umask grants permissions to group and world, will remove those permissions" 1>&2
if ! umask g-rwx,o-rwx; then
echo "umask failed, wibble, aborting" 1>&2
- exit 1
+ error=1
+ exit
fi
fi
#End sanity checks
@@ -99,7 +101,8 @@ while getopts a:b:ce:f:g:hi:kps flag; do
g) tag="${OPTARG}";;
h)
usage
- exit 0
+ error=0
+ exit
;;
i) benchmark_gcc_path="`cd \`dirname ${OPTARG}\` && echo $PWD/\`basename ${OPT [...]
k)
@@ -111,7 +114,8 @@ while getopts a:b:ce:f:g:hi:kps flag; do
echo 'Continue? (y/N)'
read answer
if ! echo "${answer}" | egrep -i '^(y|yes)[[:blank:]]*$' > /dev/null; then
- exit 0
+ error=0
+ exit
fi
;;
p)
@@ -124,7 +128,8 @@ while getopts a:b:ce:f:g:hi:kps flag; do
s) skip_build=1;;
*)
echo "Bad arg" 1>&2
- exit 1
+ error=1
+ exit
;;
esac
done
@@ -134,15 +139,18 @@ devices=("$@")
if test x"${benchmark:-}" = x; then
echo "No benchmark given (-b)" 1>&2
echo "Sensible values might be eembc, spec2000, spec2006" 1>&2
- exit 1
+ error=1
+ exit
fi
if test x"${benchmark_gcc_path:-}" = x; then
echo "No GCC given (-i)" 1>&2
- exit 1
+ error=1
+ exit
fi
if ! test -x "${benchmark_gcc_path}"; then
echo "GCC '${benchmark_gcc_path}' does not exist or is not executable" 1>&2
- exit 1
+ error=1
+ exit
fi
if test x"`basename ${benchmark_gcc_path}`" = xgcc; then #native build
benchmark_gcc_triple=
@@ -160,7 +168,8 @@ else #cross-build, implies we need remote devices
benchmark_gcc_triple="`basename ${benchmark_gcc_path%-gcc}`"
if test ${#devices[@]} -eq 0; then
echo "Cross-compiling gcc '${benchmark_gcc_path} given, but no devices given f [...]
- exit 1
+ error=1
+ exit
fi
fi
@@ -169,14 +178,16 @@ if test x"${skip_build:-}" = x; then
(PATH="`dirname ${benchmark_gcc_path}`":${PATH} COMPILER_FLAGS=${compiler_flags} [...]
if test $? -ne 0; then
echo "Error while building benchmark ${benchmark}" 1>&2
- exit 1
+ error=1
+ exit
fi
fi
builddir="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && if test x"${benc [...]
if test $? -ne 0; then
echo "Unable to get builddir" 1>&2
- exit 1
+ error=1
+ exit
fi
#Compress build to a tmpfile in our top-level working directory
@@ -185,17 +196,20 @@ fi
cmpbuild="`mktemp -p ${abe_top} -t ${benchmark}_XXXXXXX.tar.bz2`"
if test $? -ne 0; then
echo "Unable to create temporary file for compressed build output" 1>&2
- exit 1
+ error=1
+ exit
fi
if ! tar cjf "${cmpbuild}" -C "${builddir}/.." "`basename ${builddir}`"; then
echo "Unable to compress ${builddir} to ${cmpbuild}" 1>&2
- exit 1
+ error=1
+ exit
fi
for device in "${devices[@]}"; do
"${topdir}"/scripts/runbenchmark.sh ${post_target_cmd:+-e "${post_target_cmd}"} [...]
runpids[$!]=''
done
+error=0
running_pids=("${!runpids[@]}")
while true; do
for running_pid in "${running_pids[@]}"; do
diff --git a/scripts/runbenchmark.sh b/scripts/runbenchmark.sh
index dabb7c8..8a0b7c5 100755
--- a/scripts/runbenchmark.sh
+++ b/scripts/runbenchmark.sh
@@ -4,8 +4,10 @@
set -o pipefail
set -o nounset
+error=1
+
trap clean_benchmark EXIT
-trap 'exit ${error}' TERM INT HUP QUIT
+trap 'exit ${error}' TERM INT HUP QUIT #Signal death can be part of normal control [...]
#Precondition: the target is in known_hosts
ssh_opts="-F /dev/null -o StrictHostKeyChecking=yes -o CheckHostIP=yes"
@@ -32,17 +34,18 @@ while getopts a:b:cd:e:g:kpt: flag; do
t) buildtar="${OPTARG}";;
*)
echo "Bad arg" 1>&2
- exit 1
+ error=1
+ exit
;;
esac
done
shift $((OPTIND - 1))
if test $# -ne 0; then
echo "Surplus arguments: $@" 1>&2
- exit 1
+ error=1
+ exit
fi
-error=1
tee_output=/dev/null
# load the configure file produced by configure
@@ -50,25 +53,29 @@ if test -e "${PWD}/host.conf"; then
. "${PWD}/host.conf"
else
echo "ERROR: no host.conf file! Did you run configure?" 1>&2
- exit 1
+ error=1
+ exit
fi
topdir="${abe_path}" #abe global, but this should be the right value for abe
confdir="${topdir}/config/bench/boards"
benchlog="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && read_config ${be [...]
if test $? -ne 0; then
echo "Unable to read benchmark config file for ${benchmark}" 1>&2
- exit 1
+ error=1
+ exit
fi
safe_output="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && read_config $ [...]
if test $? -ne 0; then
echo "Unable to read benchmark config file for ${benchmark}" 1>&2
- exit 1
+ error=1
+ exit
fi
. "${confdir}/${device}.conf" #We can't use abe's source_config here as it require [...]
if test $? -ne 0; then
echo "+++ Failed to source ${confdir}/${device}.conf" 1>&2
- exit 1
+ error=1
+ exit
fi
#Make sure that subscripts clean up - we must not leave benchmark sources or data [...]
@@ -104,12 +111,13 @@ clean_benchmark()
echo "Target post-boot initialisation did not happen, thus nothing to clean up."
fi
- exit "${error}"
+ exit
}
if ! (. "${topdir}"/lib/common.sh; remote_exec "${ip}" true ${ssh_opts}) > /dev/nu [...]
echo "Unable to connect to target ${ip:-(unknown)}" 1>&2
- exit 1
+ error=1
+ exit
fi
#Should be a sufficient UID, as we wouldn't want to run multiple benchmarks on the [...]
@@ -120,20 +128,23 @@ fi
mkdir -p "${logdir}/${benchmark}.git"
if test $? -ne 0; then
echo "Failed to create dir ${logdir}" 1>&2
- exit 1
+ error=1
+ exit
fi
#Create and populate working dir on target
target_dir="`. ${topdir}/lib/common.sh; remote_exec ${ip} 'mktemp -dt XXXXXXX' ${s [...]
if test $? -ne 0; then
echo "Unable to get tmpdir on target" 1>&2
- exit 1
+ error=1
+ exit
fi
for thing in "${buildtar}" "${topdir}/scripts/controlledrun.sh" "${confdir}/${devi [...]
(. "${topdir}"/lib/common.sh; remote_upload -r 3 "${ip}" "${thing}" "${target_di [...]
if test $? -ne 0; then
echo "Unable to copy ${thing}" to "${ip}:${target_dir}/${thing}" 1>&2
- exit 1
+ error=1
+ exit
fi
done
@@ -223,4 +234,4 @@ if test ${error} -eq 0; then
else
echo "+++ Run of ${benchmark} on ${device} failed"
fi
-exit ${error}
+exit
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
omits 77d6a26 Clean up error handling
new 8e53134 Clean up error handling
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (77d6a26)
\
N -- N -- N refs/heads/bernie/benchmarking (8e53134)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
scripts/benchmark.sh | 1 +
1 file changed, 1 insertion(+)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards fb2a5f7 wip: filesystem script
discards c12e581 Clean up error handling
discards c11a5c6 Benchmark.job removes files from targets unless BENCH_DEBUG is given
adds 05d43eb Benchmark.job removes files from targets unless BENCH_DEBUG is given
adds 77d6a26 Clean up error handling
new 8178823 wip: filesystem script
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (fb2a5f7)
\
N -- N -- N refs/heads/bernie/fs (8178823)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
scripts/Benchmark.job | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards d52b7dc wip: filesystem script
new fb2a5f7 wip: filesystem script
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (d52b7dc)
\
N -- N -- N refs/heads/bernie/fs (fb2a5f7)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/fs/makefs.sh | 13 +++++++++++--
1 file changed, 11 insertions(+), 2 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
omits c12e581 Clean up error handling
omits c11a5c6 Benchmark.job removes files from targets unless BENCH_DEBUG is given
new 05d43eb Benchmark.job removes files from targets unless BENCH_DEBUG is given
new 77d6a26 Clean up error handling
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (c12e581)
\
N -- N -- N refs/heads/bernie/benchmarking (77d6a26)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
scripts/Benchmark.job | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.